------------------------------------------------------------------------------
--  This file is a part of the LPP VHDL IP LIBRARY
--  Copyright (C) 2009 - 2010, Laboratory of Plasmas Physic - CNRS
--
--  This program is free software; you can redistribute it and/or modify
--  it under the terms of the GNU General Public License as published by
--  the Free Software Foundation; either version 3 of the License, or
--  (at your option) any later version.
--
--  This program is distributed in the hope that it will be useful,
--  but WITHOUT ANY WARRANTY; without even the implied warranty of
--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--  GNU General Public License for more details.
--
--  You should have received a copy of the GNU General Public License
--  along with this program; if not, write to the Free Software
--  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
-------------------------------------------------------------------------------
--                    Author : Alexis Jeandet
--                     Mail : alexis.jeandet@lpp.polytechnique.fr
----------------------------------------------------------------------------
LIBRARY IEEE;
USE IEEE.numeric_std.ALL;
USE IEEE.std_logic_1164.ALL;

ENTITY MUX_LPP_JCP IS
  GENERIC(
    Input_SZ_A : INTEGER := 16;
    Input_SZ_B : INTEGER := 16
    );
  PORT(
    sel  : IN  STD_LOGIC;
    INA1 : IN  STD_LOGIC_VECTOR(Input_SZ_A-1 DOWNTO 0);
    INA2 : IN  STD_LOGIC_VECTOR(Input_SZ_A-1 DOWNTO 0);
    INB1 : IN  STD_LOGIC_VECTOR(Input_SZ_B-1 DOWNTO 0);
    INB2 : IN  STD_LOGIC_VECTOR(Input_SZ_B-1 DOWNTO 0);
    OUTA : OUT STD_LOGIC_VECTOR(Input_SZ_A-1 DOWNTO 0);
    OUTB : OUT STD_LOGIC_VECTOR(Input_SZ_B-1 DOWNTO 0)
    );
END ENTITY;

ARCHITECTURE ar_MUX OF MUX_LPP_JCP IS

BEGIN

  OUTA <= INA1 WHEN sel = '0' ELSE INA2;
  OUTB <= INB1 WHEN sel = '0' ELSE INB2;

END ar_MUX;